package collect

import (
	"github.com/go-flucky/flucky/pkg/types"
)

func Temperatures(temperatureChannel <-chan *types.Temperature) []*types.Temperature {
	temperatureList := make([]*types.Temperature, 0)
	for {
		select {
		case temperature, more := <-temperatureChannel:
			if more {
				temperatureList = append(temperatureList, temperature)
				continue
			}
		default:
			return temperatureList
		}
	}
}
